uniform mat4 modelViewProjectionMatrix;
attribute   vec4  position;
attribute   vec2  videoTexCoord;
attribute   vec2  headImageCoord;
varying highp vec2 v_video_coordinates;
varying highp vec2 v_image_head_coordinates;

void main() {
    v_video_coordinates = videoTexCoord;
    v_image_head_coordinates = headImageCoord;
    gl_Position = modelViewProjectionMatrix * position;
}
