#version 100

precision   mediump     float;
uniform     sampler2D   u_image_head;
uniform     vec4        u_fade_color;
varying     vec2        v_image_coordinates;

void main() {
    vec4 imageColor = texture2D(u_image_head, v_image_coordinates);
    vec3 mixed3 = mix(imageColor.rgb, u_fade_color.rgb, u_fade_color.w);
    gl_FragColor = vec4(mixed3 * imageColor.a, imageColor.a);
}
