uniform         sampler2D   diffuseTexture;
uniform lowp    mat4        colorMatrix;
uniform lowp    vec4        colorOffset;

varying highp   vec2        v_texPosition0;

void main() {
    lowp vec4 color = texture2D(diffuseTexture, v_texPosition0);
    gl_FragColor = color * colorMatrix + colorOffset;
}

