uniform         sampler2D   diffuseTexture;

uniform highp   vec2        direction;
uniform highp   float       size;

varying highp vec2 v_texPosition0;

void main() {
    highp vec2 size = direction * size;
    lowp vec4 sum = vec4(0.0);
    sum += texture2D(diffuseTexture, v_texPosition0 - (7.0 * size)) * 0.004429912105;
    sum += texture2D(diffuseTexture, v_texPosition0 - (6.0 * size)) * 0.008957812117;
    sum += texture2D(diffuseTexture, v_texPosition0 - (5.0 * size)) * 0.021596386605;
    sum += texture2D(diffuseTexture, v_texPosition0 - (4.0 * size)) * 0.044368333871;
    sum += texture2D(diffuseTexture, v_texPosition0 - (3.0 * size)) * 0.077674421993;
    sum += texture2D(diffuseTexture, v_texPosition0 - (2.0 * size)) * 0.115876621105;
    sum += texture2D(diffuseTexture, v_texPosition0 - (1.0 * size)) * 0.147308056121;
    sum += texture2D(diffuseTexture, v_texPosition0 - (0.0 * size)) * 0.159576912161;
    sum += texture2D(diffuseTexture, v_texPosition0 + (1.0 * size)) * 0.147308056121;
    sum += texture2D(diffuseTexture, v_texPosition0 + (2.0 * size)) * 0.115876621105;
    sum += texture2D(diffuseTexture, v_texPosition0 + (3.0 * size)) * 0.077674421993;
    sum += texture2D(diffuseTexture, v_texPosition0 + (4.0 * size)) * 0.044368333871;
    sum += texture2D(diffuseTexture, v_texPosition0 + (5.0 * size)) * 0.021596386605;
    sum += texture2D(diffuseTexture, v_texPosition0 + (6.0 * size)) * 0.008957812117;
    sum += texture2D(diffuseTexture, v_texPosition0 + (7.0 * size)) * 0.004429912105;

    gl_FragColor = sum;
}

