#extension GL_OES_EGL_image_external : require

uniform         sampler2D            imageTexture;
uniform         {SAMPLER}            maskTexture; // Uses Specified Channel    //SAMPLER for video samplerExternalOES for image sampler2D
uniform lowp    float                u_maskColor;
varying highp   vec2                 v_imageCoord;
varying highp   vec2                 v_maskCoord;

//All errors Is Ok, we replace "{CHANNEL}" template in code with "r" "g" "b"
void main() {
    // Render normally
    lowp    vec4    imageColor = texture2D(imageTexture, v_imageCoord);
    lowp    vec4    maskColor = texture2D(maskTexture, v_maskCoord);
    imageColor *= abs(u_maskColor - maskColor.{CHANNEL});

    gl_FragColor = imageColor;
}
