#extension GL_OES_EGL_image_external : require

uniform         {SAMPLER}            maskTexture; // Uses Specified Channel       //SAMPLER for video samplerExternalOES for image sampler2D
uniform         sampler2D            imageTexture;
uniform lowp    float                u_maskColor;
varying highp   vec2                 v_imageCoord;
varying highp   vec2                 v_maskCoord;

void main() {
    // Passthrough mask
    lowp    vec4    imageColor = texture2D(maskTexture, v_maskCoord);
    imageColor.a *= abs(u_maskColor - imageColor.{CHANNEL});

    gl_FragColor = imageColor;
}
