uniform             mat4    modelViewProjectionMatrix;
attribute           vec4    position;
attribute           vec2    imageCoord;
attribute           vec2    maskCoord;
varying     highp   vec2    v_imageCoord;
varying     highp   vec2    v_maskCoord;

void main() {
    v_imageCoord = imageCoord;
    v_maskCoord = maskCoord;
    gl_Position = modelViewProjectionMatrix * position;
}
